<?php
// データベース情報
$sv = 'localhost';  // サーバー名
$db = 'koubai';     // データベース名
$uid = 'user01';    // ユーザー名
$pwd = 'user01';    // パスワード

// データベースに接続します
try {
  $db = new PDO('mysql:host='.$sv.'; dbname='.$db, $uid, $pwd);
  $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
  $db->exec('SET NAMES utf8');
} catch(PDOException $e) {
  die('Connection failed: '.$e->getMessage());
}

// 商品テーブルと商品分類テーブルのデータを取得します
$sth = $db->prepare('SELECT t1.code AS goods_code, t1.name AS goods_name, t2.code AS group_code, t2.name AS group_name
 FROM tbl_goods AS t1 INNER JOIN tbl_group AS t2 ON t1.group_code = t2.code');
$sth->execute();
?>
<html>
<head>
<link rel="stylesheet" type="text/css" href="style.css">
<title>6-1-4 等結合について</title>
</head>
<body>
<h1>6-1-4 等結合について</h1>
<table border="1">
<tr>
  <th>商品コード</th>
  <th>商品名</th>
  <th>商品分類コード</th>
  <th>商品分類名</th>
</tr>
<?php
// 商品テーブルと商品分類テーブルから取得したデータを1行ずつ反映します
while ($row = $sth->fetch(PDO::FETCH_ASSOC)) {
  echo '<tr>';
  echo '<td>'.$row['goods_code'].'</td>';
  echo '<td>'.htmlspecialchars($row['goods_name'], ENT_QUOTES, $charset).'</td>';
  echo '<td>'.$row['group_code'].'</td>';
  echo '<td>'.htmlspecialchars($row['group_name'], ENT_QUOTES, $charset).'</td>';
  echo '</tr>';
}
?>
</table>
</body>
</html>
