<?php
// データベース情報
$sv = 'localhost';  // サーバー名
$db = 'koubai';     // データベース名
$uid = 'user01';    // ユーザー名
$pwd = 'user01';    // パスワード

// データベースに接続します
try {
  $db = new PDO('mysql:host='.$sv.'; dbname='.$db, $uid, $pwd);
  $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
  $db->exec('SET NAMES utf8');
} catch(PDOException $e) {
  die('Connection failed: '.$e->getMessage());
}

// データを取得します
try {
  if (empty($_POST['mailaddress']) && empty($_POST['password']) && ! empty($_COOKIE['user_id'])) {
    $sth = $db->prepare('SELECT id, name FROM tbl_user WHERE id = :id');
    $sth->bindValue(':id', $_COOKIE['user_id']);
  } else {
    $sth = $db->prepare('SELECT id, name FROM tbl_user WHERE mailaddress = :mailaddress AND password = :password');
    $sth->bindValue(':mailaddress', $_POST['mailaddress']);
    $sth->bindValue(':password', $_POST['password']);
  }
  $sth->execute();
} catch(PDOException $e) {
  die('Select failed: '.$e->getMessage());
}

// ユーザーテーブルから取得したデータを反映します
if ($row = $sth->fetch(PDO::FETCH_ASSOC)) {

  // ユーザーIDをクッキーに保存します
  setcookie('user_id', $row['id'], time() + 3600 * 24 * 7, '/');

  echo '<html>';
  echo '<head>';
  echo '<link rel="stylesheet" type="text/css" href="style.css">';
  echo '<title>8-1-3 商品カートのサンプル　商品一覧</title>';
  echo '</head>';
  echo '<body>';
  echo '<h1>8-1-3 商品カートのサンプル　商品一覧</h1>';
  echo '<p>いらっしゃいませ、'.htmlspecialchars($row['name'], ENT_QUOTES, $charset).'さん</p>';
  echo '<table border="1">';
  echo '<tr>';
  echo '  <th>商品名</th>';
  echo '  <th>単価</th>';
  echo '  <th></th>';
  echo '</tr>';

  // 商品テーブルのデータを取得します
  $sth = $db->prepare('SELECT code, name, price FROM tbl_goods');
  $sth->execute();

  // 商品テーブルから取得したデータを1行ずつ反映します
  while ($row = $sth->fetch(PDO::FETCH_ASSOC)) {
    echo '<tr>';
    echo '<td>'.htmlspecialchars($row['name'], ENT_QUOTES, $charset).'</td>';
    echo '<td>'.$row['price'].'</td>';
    echo '<td><a href="http://'.$_SERVER['HTTP_HOST'].'/koubai/8-1-3_3.php?code='.$row['code'].'">詳細</a></td>';
    echo '</tr>';
  }

  echo '</table>';
  echo '<hr>';
  echo '<p><a href="http://'.$_SERVER['HTTP_HOST'].'/koubai/8-1-3_5.php">カートのなかをみる</a></p>';
  echo '</form>';

} else {

  // クッキーを削除します
  setcookie('user_id', $row['id'], time() - 3600, '/');

  echo '<html>';
  echo '<head>';
  echo '<title>8-1-3 商品カートのサンプル　商品一覧</title>';
  echo '</head>';
  echo '<body>';
  echo '<h1>8-1-3 商品カートのサンプル　商品一覧</h1>';
  echo '<p>';
  echo '  メールアドレスもしくはパスワード、あるいはその両方が間違っています。';
  echo '</p>';
}

echo '</body>';
echo '</html>';
?>
